/* infoMessage.h

   Copyright (C) 1999 by David Rose.

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

   To contact the original author of this program, write to:
           David Rose
           224 W. Dryden St Apt. 418
	   Glendale, CA 91202
	   USA

	   drose@lafn.org
   */

#ifndef INFOMESSAGE_H
#define INFOMESSAGE_H

// This class pops up a little dialog on the screen to give the user
// some useless piece of information.  All the user can do about it is
// acknowledge the dialog by pressing the "OK" button.

// Alternatively, it might pop up a dialog with an "OK" and a "Cancel"
// button, by which the user can accept or deny an upcoming action.

// And, for those times when you really want to have a check box on
// the info box, you can include a single check box as well.

#include "palomaDialog.h"

class InfoMessage : public PalomaDialog {
public:
  enum Buttons {
    IM_ok     = 0x01,
    IM_cancel = 0x02,
    IM_check  = 0x04,
  };
  InfoMessage(const string &message, int buttons = IM_ok,
	      const string &check_text = string());
  ~InfoMessage();

  Signal1<InfoMessage *> ok_clicked;
  Signal1<InfoMessage *> cancel_clicked;

  Gtk_CheckButton _check;

protected:
  void ok_button_clicked();
  void cancel_button_clicked();

  void layout_window(int buttons);

  Gtk_VBox _box1;
  Gtk_Label _label;
  Gtk_Alignment _check_align;
  Gtk_Button _ok_button;
  Gtk_Button _cancel_button;
};

#endif

